package com.survivingwithandroid.fragment;

import android.os.Bundle;
import android.app.Activity;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.support.v4.app.FragmentActivity;
import android.view.Menu;

public class MainActivity extends Activity implements Fragment1.FragmentListener {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main_din);
		
		// Create fragment
		Fragment1 f1 = new Fragment1();
		FragmentManager fm = getFragmentManager();
		FragmentTransaction ft = fm.beginTransaction();
		ft.add(R.id.fl1, f1);
		ft.commit();
	}

	@Override
	public void onClickButton() {
		// Handle here the event
		if (findViewById(R.id.fl2) != null) {
			// We have dual fragment layout
			
			Fragment2 f2 = (Fragment2) getFragmentManager().findFragmentById(R.id.fl2);
			
			if (f2 == null) {
				// Fragment2 is not inizialized
				f2 = new Fragment2();
				
				FragmentTransaction ft = getFragmentManager().beginTransaction();
				ft.replace(R.id.fl2, f2);
				ft.commit();
			}
			
		}
		else {
			// Single fragment layout
			Fragment2 f2 = new Fragment2();
			FragmentTransaction ft = getFragmentManager().beginTransaction();
			ft.replace(R.id.fl1, f2);
			ft.commit();

			
		}
	}

	

}
